org.apache.xmlbeans.impl.inst2xsd

## Interface XsdGenStrategy

All Known Implementing Classes:
  RussianDollStrategy, SalamiSliceStrategy, VenetianBlindStrategy

    public interface XsdGenStrategy

Author: Cezar Andrei ( cezar.andrei at bea.com ) Date: Jul 26, 2004

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `processDoc(XmlObject[] instances, Inst2XsdOptions options, TypeSystemHolder typeSystemHolder)`

### Method Detail

#### processDoc

    void processDoc(XmlObject[] instances,
                    Inst2XsdOptions options,
                    TypeSystemHolder typeSystemHolder)